Bug 14696 - предложения по улучшению модуля
: предложения по улучшению модуля
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-net-junior)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-28 18:50 by
Modified: 2008-05-06 14:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-28 18:50:26
По коду:
1. Сейчас идёт постепенная миграция велосипедов на libshell (shell-config),
поэтому настоятельно рекомендую посмотреть последний alterator-net-general и
alterator-net-eth.
2. Некоторые функции из alterator-net-junior взяты из alterator-net-general -
часть из них я недавно поправлял и улучшал - хорошо бы взять оттуда же.

По интерфейсу:
1. Полное Доменное Имя Компьютера - длинная и неудобная фраза.
2. s,Опции,Параметры,
2. Установить имя хоста и имя домена  - достаточно сказать про имя хоста.
3. "Установить ... ,задаваемые DHCP сервером" - заменить надо на "Автоматически
установить".
4. Первый DNS IP - уж лучше тогда просто Первый DNS.
4. Очень много рамок - интерфейс из-за этого сильно страдает. Особенно рамки
вокруг одного отдельного чекбокса автоматически настроить сетевые интерфейсы.
Кроме того этот чекбокс должен быть слева а не справа.

IP-адрес, параметры DHCP - не надо делать для этого вложенный groupbox.
------- Comment #1 From 2008-02-28 18:54:01 -------
по libshell etc -- безусловно
по интерфейсу я не имею каких-либо предпочтений, хотя припоминаю, что по 1)
было указание kirill@, как признанного знатока великого и могучего.
------- Comment #2 From 2008-02-29 15:16:22 -------
Please test fixed alt9.
------- Comment #3 From 2008-03-03 12:18:42 -------
1. Рамка вокруг чекбокса не убрана
2. один "предлагаемый днцп сервером" остался
3. Первый ДНС ИР на месте
4. Полное Доменное Имя Компьютера - хотя бы уберите лишние заглавные буквы - так
никто не пишет.
------- Comment #4 From 2008-05-06 14:52:32 -------
alt10